ThemeColor (gCube Guided Tour Widget 1.2.1-SNAPSHOT API)
Date: 2013-07-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.portlets.user.guidedtour.client.types
Enum ThemeColor

    java.lang.Object
      java.lang.Enum<ThemeColor>
          org.gcube.portlets.user.guidedtour.client.types.ThemeColor

All Implemented Interfaces:
  Serializable, Comparable<ThemeColor>

    public enum ThemeColor

extends Enum<ThemeColor>

Version:
  1.0 Jan 12th 2012
Author:
  Massimiliano Assante ISTI-CNR

Enum Constant Summary
`AQUAMARINE`
`BLACK`
`BLUE`
`GREEN`
`KHAKI`
`LIME`
`MAGENTA`
`ORANGE`
`PINK`
`RED`
`SILVER`
`YELLOW`

Method Summary
`static ThemeColor` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ThemeColor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AQUAMARINE

    public static final ThemeColor AQUAMARINE

### BLACK

    public static final ThemeColor BLACK

### BLUE

    public static final ThemeColor BLUE

### GREEN

    public static final ThemeColor GREEN

### KHAKI

    public static final ThemeColor KHAKI

### LIME

    public static final ThemeColor LIME

### MAGENTA

    public static final ThemeColor MAGENTA

### ORANGE

    public static final ThemeColor ORANGE

### PINK

    public static final ThemeColor PINK

### RED

    public static final ThemeColor RED

### SILVER

    public static final ThemeColor SILVER

### YELLOW

    public static final ThemeColor YELLOW

Method Detail

### values

    public static ThemeColor[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ThemeColor c : ThemeColor.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ThemeColor valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.